# Console Port

## [2.2.1](https://github.com/seblindfors/ConsolePort/tree/2.2.1) (2022-05-26)
[Full Changelog](https://github.com/seblindfors/ConsolePort/compare/1.8.1...2.2.1) [Previous Releases](https://github.com/seblindfors/ConsolePort/releases)

- Update ConsolePort.toc  
- Fix spells not updating on form change  
- Update .pkgmeta  
- Merge pull request #45 from AcidWeb/master  
    Preliminary packager support  
- Preliminary packager support  
- Create release.yml  
- Merge branch 'master' of https://github.com/seblindfors/ConsolePort  
- Update Profile.lua  
- Merge pull request #41 from gnrlwart/GamePadConfigWork  
    Adding unsaved changes in PlayStation5.lua  
- Adding unsaved changed.  
- Merge pull request #40 from gnrlwart/GamePadConfigWork  
    Game pad config work  
- Implemented auto-selection of device type on initial setup  
- Full deadzone and axis settings for camera and movement  
    - Added settings for the camera "look" feature (which defaults to Gyro control)  
    - Made motion sickness controls default ON (as they do for the game itself)  
    - Clarified a few settings descriptions  
    - Switched a few number settings to range sliders  
- fix callbacks  
- Added device profile support (WIP)  
- Update Console.lua  
- TOC  
- update Range data type to only fire callbacks on input release  
- fix dropdown issues in gridlayout discrep between live & classic  
- Update GameMenuFrame.lua  
- logic fix for classic era SoM  
- 2.1.8, secure code fix, handle override conflict issues  
- Update restricted environment handlers  
- added new cvars, fixed more backdrop issues  
- Remove winrt profiles  
- Add command to reset config  
- 9.1.5  
- Update Mouse.lua  
- Various minor fixes  
- 2.1.4. toc format, fixed ring qitem issue, config functionality  
- inventory Q items to ring on classic  
- Merge pull request #37 from ralfvandenbroek/master  
    Garrison button and raid cursor filter  
- Merge branch 'master' into master  
- Update Cluster.lua  
- added rebind tool  
- added petring, dropdown binding menu  
- 2.1.2  
- Classic compat  
- Keyboard, 2.1  
- keyboard finalized  
- keyboard components  
- 2.1.0 prep  
    added utility ring fix to upgrade script  
    refactor keyboard components  
- autocorrect functionality  
- Update Spellcorrect.lua  
- keyboard autocorrect work  
- keyboard work  
- 2.1  
- toc bump, new cvars  
- mapper code (not finished), various fixes  
- Add filter option for raid cursor targets  
- Add garrison button  
- buncha fixes  
- measure to prevent accidental radial binds  
- Update README.md  
- Update README.md  
- Update README.md  
- Update README.md  
- Update README.md  
- assets  
- Merge branch 'beta'  
- 2.0.0 release  
- rc  
- animated cursor, legacy reticle target  
- Merge branch 'beta' of https://github.com/seblindfors/ConsolePort into beta  
- r16  
- Update TempAbility.lua  
- Update TempAbility.lua  
- temp ability announcer, config cvars  
- minor fixes  
- loot frame  
- SPLASH  
- menu works  
- secure cursor menu  
- menu backup  
- prepping for UI  
- Update Mouse.lua  
- Update Mouse.lua  
- big ol patch  
- minor tweaks and things  
- added a crosshair (turned out to be a great idea)  
- action bar config  
- action bar config building  
- added some handling for the wonky PS5 stuff  
- bar refactor, started config  
- some refactoring, bindings bug fix with missing hotkey  
- bug fixes, action bar spaghetti code  
- Update UINode.lua  
- beta! wooh  
- Added raid cursor  
- utility rings removal  
- agf  
- utility ring smart additions  
- utility ring, API readded, cleanup, action buttons  
- Merge branch 'beta' of https://github.com/seblindfors/ConsolePort into beta  
- minor things, caster playable again tho  
- Update EasyMotion.lua  
- easy motion is back baby  
    - fixed gamepad API things, including shortcut for icons  
    - added fix for botched default ps4 template (damn it Carl!)  
- r4  
    ds5 added  
    easy motion driver  
- r3  
- wizard work  
- added support for changing emulation cvars  
- fixes  
    - faulty binding display repaired  
    - cvars added on gamepad view  
    - fixed cursor lacking texture after applying preset  
    - button catcher can now listen to any keypress  
    - refactoring  
- fixed bug with framepools  
    recycling an inactive object as if it was active could cause frame pool to return same object twice. handled by checking if target widget is found in inactive pool.  
- fixes with modifier swapping  
- alpha version  
- refactoring, settings, preparing first beta release  
- string handling widget  
- all widgets functional  
- added range modifiers to config, catch button events on panels  
- updated widgets to link directly to vars  
- added config support for boolean switches  
- started general settings  
- finalizing bindings  
- bindings almost done  
- improved UI cursor anims, movement, fluidity, reliability  
- removed exported wm data  
- 9.0.1 version  
- Update Mouse.lua  
- more data  
- mer å mer data  
- data handler in prep for config  
- improved interface cursor  
- ui stack triggers, macro support in mapper  
- added items/mounts to collections  
- cursor stability in config  
- mapper for a couple action types  
    also fixed ScaleToContentMixin so it's recursive, keeping track of which ones should be rescaled gave me a headache, so it's simpler to have it recursive outwards and just fire on the innermost element.  
- bindings are annoying  
- custom action bar binding handler  
- Update BindingManager.lua  
- binding info updates, prep for action bar handling  
- Update BindingInfo.lua  
- Delete Templates.xml  
- Delete Bindings.lua  
- bindingzzZzzzZzzz  
- collapsible scroll column test  
- start of config, bunch of refactoring, widget dev  
- backdrops, fixed clipping issue by using texture instead of colored lines  
- started building UI, it sucks  
- nothing interesting  
- Update Mouse.lua  
- more mouse handle updates  
- mainly radial and mouse things, refactoring of piemenus  
- radial math hopefully ok, piemenu updated, mouse handler started  
- prototype flyout handler, radial math fixes, bootleg button template  
- radial fixes  
- radial handler math done, fixed db issue  
- refactoring, added probe, radial handler, misc fixes  
- added libs  
- action bar pager  
- revamped interface cursor, node driver  
- cursor almost working, refactoring, input fixes  
- Update Input.lua  
- Update Input.lua  
- Update Input.lua  
- Update UINode.lua  
- Update Input.lua  
- input handler working, proxies added, cursor things  
- input handler started, db fixes  
- hotkey updates  
    - switched to shared texture pool to minimize impact on performance and memory.  
    - self-containment in pools, regulated by API calls  
- ui node driver added  
- xbox preset, hotkey mgmt, gamepad presets  
- basic hotkeys, action bar API  
- Shadowlands rewrite init  
- 9.0.0-A  
- comments  
- refactoring and small tweaks  
- added absolute frame level calcs  
- nameplates and nodes  
- bug fixes  
    - improved nameplate anchoring  
    - interface cursor now takes overlapping rectangles into account  
    - hopefully solved environment lockdown  
    - bag helper adjusted to new frame size  
    - added support for UI problem scan  
    - some refactoring  
- wiki++  
- wiki++  
- wiki++  
- wiki++  
- wiki++  
- wiki++  
- improved interact hint  
- item menu  
- fixed classic/retail compat issues  
- fixed UI stack compat issues  
- 2.0.0 init  
- added experiemental modules  
- 1.9.10  
- 1.9.9-G  
- Update README.md  
- Update README.md  
- 2.0.0 (1.9.9 release version)  
    Release version for classic minus TOC-bump  
    Requires WM for new 16-way radial  
- Merge remote-tracking branch 'origin/master'  
    # Conflicts:  
    #	ConsolePort/Controllers/WoWmapper.lua  
- 2.0.0 refactoring  
    - Preparation for config overhaul  
    - Major refactoring  
    - Abstraction of hint system  
    - Abstraction of menu system  
- Update WoWmapper.lua  
- 2.0.0 init  
- Update Interface.lua  
    Logic is hard sometimes  
- 1.9.3  
- 1.9.1  
- 1.8.2-Beta  
    - Beta bump  
    - New interface cursor algorithm  
    - Various patch-related fixes  
